Name:           perl-HTTP-Proxy
Version:        0.20
Release:        2%{?dist}
Summary:        A pure Perl HTTP proxy

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/HTTP-Proxy/
Source0:        http://www.cpan.org/authors/id/B/BO/BOOK/HTTP-Proxy-%{version}.tar.gz
Patch0:         HTTP-Proxy-0.17-save.pm.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage), perl(HTML::Parser)
BuildRequires:  perl(HTTP::Daemon), perl(LWP::UserAgent), perl(Crypt::SSLeay)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Its main use should be to record and/or modify web sessions, so as to
help users create web robots, web testing suites, as well as proxy
systems than can transparently alter the requests to and answers from
an origin server.


%prep
%setup -q -n HTTP-Proxy-%{version}
%patch0 -p1


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
chmod -R u+w $RPM_BUILD_ROOT/*


%check
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README eg/
%{perl_vendorlib}/HTTP/
%{_mandir}/man3/*.3pm*


%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.20-2
Rebuild for new perl

* Mon Sep  4 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.20-1
- Update to 0.20.

* Fri Apr 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.19-1
- Update to 0.19.

* Wed Mar 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.18-1
- Update to 0.18.

* Mon Mar  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-3
- Added missing BR: perl(Test::Pod::Coverage).

* Mon Mar  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-2
- save.pm patched and converted to utf8 (HTTP-Proxy-0.17-save.pm.patch).

* Thu Dec  8 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-1
- Update to 0.17.

* Thu Sep  8 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.16-1
- Update to 0.16.

* Sun Jul 04 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.13-0.fdr.1
- First build.
